<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SmartcardLib/Include/sclib.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_e15ed7ab9f4e6a57642791fa2bbec424.html">SmartcardLib</a></li><li class="navelem"><a class="el" href="../../dir_bed5bb9e2a9504b1afad34bdac3bf33f.html">Include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">sclib.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/de4/sclib_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __SCLIB_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __SCLIB_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>{</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">   35</a></span><span class="preprocessor">#define SCLIB_MAX_ATR_LEN       32  </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57bd580a812baef95f8b8b1f2a6f1f50">   36</a></span><span class="preprocessor">#define SCLIB_MIN_ATR_LEN        2  </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment">// Protocol</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadbe10ef18194ec13c23bc4c790815a8a">   39</a></span><span class="preprocessor">#define SCLIB_PROTOCOL_UNDEFINED                0x00000000  </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga55cce06161110dc2a75423459dff8392">   40</a></span><span class="preprocessor">#define SCLIB_PROTOCOL_T0                       0x00000001  </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaceb47970d665912809b843c7adb9dd28">   41</a></span><span class="preprocessor">#define SCLIB_PROTOCOL_T1                       0x00000002  </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e8c28292b57e40be9c47ea24d1c859a">   43</a></span><span class="preprocessor">#define SCLIB_SUCCESS                           0x00000000  </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span><span class="comment">// error code generate by interrupt handler</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga302f3556a01142f7a45136e590c847bd">   45</a></span><span class="preprocessor">#define SCLIB_ERR_CARD_REMOVED                  0x00000001  </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace6892d9fefd08a9c7045db7815735b7">   46</a></span><span class="preprocessor">#define SCLIB_ERR_OVER_RUN                      0x00000002  </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbff1367634fc4011023635c9ae3d84b">   47</a></span><span class="preprocessor">#define SCLIB_ERR_PARITY_ERROR                  0x00000003  </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga674dfd7649de507e097c242cd675fd42">   48</a></span><span class="preprocessor">#define SCLIB_ERR_NO_STOP                       0x00000004  </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d397a59ce7c63b46e4855ca4864df2e">   49</a></span><span class="preprocessor">#define SCLIB_ERR_SILENT_BYTE                   0x00000005  </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a38f68eb5309928bbd9feb924337b5e">   50</a></span><span class="preprocessor">#define SCLIB_ERR_CMD                           0x00000006  </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga187bc2c3a236ab18012180a1731fe33e">   51</a></span><span class="preprocessor">#define SCLIB_ERR_UNSUPPORTEDCARD               0x00000007  </span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad9d39b1f92b89adb77a14a6492b3a758">   52</a></span><span class="preprocessor">#define SCLIB_ERR_READ                          0x00000008  </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga31fa921dfaa59bf7fc193804cdf57f83">   53</a></span><span class="preprocessor">#define SCLIB_ERR_WRITE                         0x00000009  </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bd9df6ec32bb3e7e0fa3fd672367eec">   54</a></span><span class="preprocessor">#define SCLIB_ERR_TIME0OUT                      0x0000000A  </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf4f29b6013a0cb4e9afa7ca10ee41c0">   55</a></span><span class="preprocessor">#define SCLIB_ERR_TIME1OUT                      0x0000000B  </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga93af5334f03354da71bc11bec6f5cd26">   56</a></span><span class="preprocessor">#define SCLIB_ERR_TIME2OUT                      0x0000000C  </span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c668910036474da42f7ac043182cb09">   57</a></span><span class="preprocessor">#define SCLIB_ERR_AUTOCONVENTION                0x0000000D  </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5728870d0f41ac134b17e54ee3be4a3b">   58</a></span><span class="preprocessor">#define SCLIB_ERR_CLOCK                         0x0000000E  </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab2433aaf96c1274013c705a397a0b407">   59</a></span><span class="preprocessor">#define SCLIB_ERR_BGTIMEOUT                     0x0000000E  </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="comment">// error code generate while parsing ATR and process PPS</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4e2bafa99c368ef33a0a910d2e4bfb8b">   61</a></span><span class="preprocessor">#define SCLIB_ERR_ATR_UNRECOGNIZED              0x00001001  </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade3a6b36834055755243314987b5b470">   62</a></span><span class="preprocessor">#define SCLIB_ERR_ATR_INVALID_PARAM             0x00001002  </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfc03c21411cefb4a69f63aa6fed2575">   63</a></span><span class="preprocessor">#define SCLIB_ERR_ATR_INVALID_TCK               0x00001003  </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22293d9ca047ba1351e6fe6c8ce8118a">   64</a></span><span class="preprocessor">#define SCLIB_ERR_PPS                           0x00001004  </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">// error code for T=1 protocol</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e873697fcb1c45b2bd6121817a0d37d">   66</a></span><span class="preprocessor">#define SCLIB_ERR_T1_PARITY                     0x00002001            </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b7ce484ab936ef92f937f562e56b755">   67</a></span><span class="preprocessor">#define SCLIB_ERR_T1_ICC                        0x00002002           </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4b5db469ac7463627881fa391b66d67">   68</a></span><span class="preprocessor">#define SCLIB_ERR_T1_PROTOCOL                   0x00002003  </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68353dc425c5e4be4211d57627f6c037">   69</a></span><span class="preprocessor">#define SCLIB_ERR_T1_ABORT_RECEIVED             0x00002004  </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7665106c623963f47ca029f6a5e39840">   70</a></span><span class="preprocessor">#define SCLIB_ERR_T1_RESYNCH_RECEIVED           0x00002005  </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95a9f2b0f51e17b5f6035ba70190bef9">   71</a></span><span class="preprocessor">#define SCLIB_ERR_T1_VPP_ERROR_RECEIVED         0x00002006  </span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5012901029b5aa9c83fff5eb7f4c99e">   72</a></span><span class="preprocessor">#define SCLIB_ERR_T1_WTXRES_RECEIVED            0x00002007  </span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffa2352af84baf4fd5c649da1d909715">   73</a></span><span class="preprocessor">#define SCLIB_ERR_T1_IFSRES_RECEIVED            0x00002008  </span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga96f4f3f8a5d00783aaa1aab0f19865fd">   74</a></span><span class="preprocessor">#define SCLIB_ERR_T1_ABORTRES_RECEIVED          0x00002009  </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae821db79e10082567f7db3eb66a25599">   75</a></span><span class="preprocessor">#define SCLIB_ERR_T1_CHECKSUM                   0x0000200A  </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">// error code for T=0 protocol</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5ad42fcccce6c466114c159b461a566">   78</a></span><span class="preprocessor">#define SCLIB_ERR_T0_PROTOCOL                   0x00003003      </span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment">// error code indicates application control flow error</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41d4c2aa0878084f67774cd0617332e">   81</a></span><span class="preprocessor">#define SCLIB_ERR_DEACTIVE                      0x0000F001      </span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cba16267a90f6cfda42b179fa221afe">   82</a></span><span class="preprocessor">#define SCLIB_ERR_CARDBUSY                      0x0000F002      </span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> <span class="comment">/* end of group NANO1X2_SCLIB_EXPORTED_CONSTANTS */</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html">   93</a></span><span class="keyword">typedef</span> <span class="keyword">struct </span>{</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0994b8d92dadc1ca0864e0093ce03a81">   94</a></span>    uint32_t <a class="code hl_variable" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0994b8d92dadc1ca0864e0093ce03a81">T</a>;                         </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae888a7b4d9e7d8b69d75d34e283453db">   95</a></span>    uint32_t <a class="code hl_variable" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae888a7b4d9e7d8b69d75d34e283453db">ATR_Len</a>;                   </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72d0445931ac9c168004661d4156897e">   96</a></span>    uint8_t ATR_Buf[<a class="code hl_define" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">SCLIB_MAX_ATR_LEN</a>]; </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>} <a class="code hl_struct" href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html">SCLIB_CARD_INFO_T</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> <span class="comment">/* end of group NANO100_SCLIB_EXPORTED_STRUCTS */</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabb70ec55d6f58ee4286fc3272b9f7a4b">  120</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabb70ec55d6f58ee4286fc3272b9f7a4b">SCLIB_Activate</a>(uint32_t num, uint32_t u32EMVCheck);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c6f434ac0e08d9a2a4c25e42e9d91cc">  139</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c6f434ac0e08d9a2a4c25e42e9d91cc">SCLIB_ActivateDelay</a>(uint32_t num, uint32_t u32EMVCheck, uint32_t u32Delay);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae308ef6ac6809fd3cf8535f617ba280c">  148</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae308ef6ac6809fd3cf8535f617ba280c">SCLIB_ColdReset</a>(uint32_t num);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd3bacc5128a7ce612a6781f7f44d49c">  157</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd3bacc5128a7ce612a6781f7f44d49c">SCLIB_WarmReset</a>(uint32_t num);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa04a140bba7b6392d9ca01833d74f8b6">  164</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa04a140bba7b6392d9ca01833d74f8b6">SCLIB_Deactivate</a>(uint32_t num);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac7143f2e0b766a7be1884020ef5798ce">  175</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac7143f2e0b766a7be1884020ef5798ce">SCLIB_GetCardInfo</a>(uint32_t num, <a class="code hl_struct" href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html">SCLIB_CARD_INFO_T</a> *s_info);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad36d1c312fd93f25445a44a6f1b9363d">  190</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad36d1c312fd93f25445a44a6f1b9363d">SCLIB_StartTransmission</a>(uint32_t num, uint8_t *cmdBuf, uint32_t cmdLen, uint8_t *rspBuf, uint32_t *rspLen);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1586bc952411d6a6b162acabc1db94a6">  203</a></span>int32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1586bc952411d6a6b162acabc1db94a6">SCLIB_SetIFSD</a>(uint32_t num, uint8_t size);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span><span class="preprocessor">#if defined (__GNUC__) &amp;&amp; !defined (__ARMCC_VERSION)</span></div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span><span class="keywordtype">void</span> SCLIB_RequestTimeExtension () <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a> ((weak));</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="keywordtype">void</span> SCLIB_RequestTimeExtension(uint32_t u32Protocol);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a>((weak)) <span class="keywordtype">void</span> SCLIB_RequestTimeExtension(uint32_t u32Protocol);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga550d72b74b7c55e903ff74fabd8c7019">  231</a></span>uint32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga550d72b74b7c55e903ff74fabd8c7019">SCLIB_CheckCDEvent</a>(uint32_t num);</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf833db82065ae92a02d10cd51eeac446">  241</a></span>uint32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf833db82065ae92a02d10cd51eeac446">SCLIB_CheckTimeOutEvent</a>(uint32_t num);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc614ae52055d0af1ecbd9416976c276">  251</a></span>uint32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc614ae52055d0af1ecbd9416976c276">SCLIB_CheckTxRxEvent</a>(uint32_t num);</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno"><a class="line" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36ecb4214440705a023114a3a1b9a6fc">  261</a></span>uint32_t <a class="code hl_function" href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36ecb4214440705a023114a3a1b9a6fc">SCLIB_CheckErrorEvent</a>(uint32_t num);</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span> </div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>}</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span><span class="preprocessor">#endif </span><span class="comment">//__SCLIB_H__</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> <span class="comment">/* end of group NANO1X2_SCLIB_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> <span class="comment">/* end of group NANO1X2_SC_Library */</span></div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> <span class="comment">/* end of group NANO1X2_Library */</span></div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span><span class="comment">/*** (C) COPYRIGHT 2018 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0994b8d92dadc1ca0864e0093ce03a81"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0994b8d92dadc1ca0864e0093ce03a81">SCLIB_CARD_INFO_T::T</a></div><div class="ttdeci">uint32_t T</div><div class="ttdoc">Protocol, ether SCLIB_PROTOCOL_T0 or SCLIB_PROTOCOL_T1.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/de4/sclib_8h_source.html#l00094">sclib.h:94</a></div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1586bc952411d6a6b162acabc1db94a6"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1586bc952411d6a6b162acabc1db94a6">SCLIB_SetIFSD</a></div><div class="ttdeci">int32_t SCLIB_SetIFSD(uint32_t num, uint8_t size)</div><div class="ttdoc">Set interface device max information field size (IFSD)</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga36ecb4214440705a023114a3a1b9a6fc"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36ecb4214440705a023114a3a1b9a6fc">SCLIB_CheckErrorEvent</a></div><div class="ttdeci">uint32_t SCLIB_CheckErrorEvent(uint32_t num)</div><div class="ttdoc">Process error event in IRQ handler.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga550d72b74b7c55e903ff74fabd8c7019"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga550d72b74b7c55e903ff74fabd8c7019">SCLIB_CheckCDEvent</a></div><div class="ttdeci">uint32_t SCLIB_CheckCDEvent(uint32_t num)</div><div class="ttdoc">Process card detect event in IRQ handler.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7c6f434ac0e08d9a2a4c25e42e9d91cc"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c6f434ac0e08d9a2a4c25e42e9d91cc">SCLIB_ActivateDelay</a></div><div class="ttdeci">int32_t SCLIB_ActivateDelay(uint32_t num, uint32_t u32EMVCheck, uint32_t u32Delay)</div><div class="ttdoc">Activate a smartcard with large delay between set VCC high and start CLK output.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa04a140bba7b6392d9ca01833d74f8b6"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa04a140bba7b6392d9ca01833d74f8b6">SCLIB_Deactivate</a></div><div class="ttdeci">void SCLIB_Deactivate(uint32_t num)</div><div class="ttdoc">Deactivate a smartcard.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabb70ec55d6f58ee4286fc3272b9f7a4b"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabb70ec55d6f58ee4286fc3272b9f7a4b">SCLIB_Activate</a></div><div class="ttdeci">int32_t SCLIB_Activate(uint32_t num, uint32_t u32EMVCheck)</div><div class="ttdoc">Activate a smartcard.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac7143f2e0b766a7be1884020ef5798ce"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac7143f2e0b766a7be1884020ef5798ce">SCLIB_GetCardInfo</a></div><div class="ttdeci">int32_t SCLIB_GetCardInfo(uint32_t num, SCLIB_CARD_INFO_T *s_info)</div><div class="ttdoc">Get the card information (e.g., protocol selected, ATR...) after activation success.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad36d1c312fd93f25445a44a6f1b9363d"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad36d1c312fd93f25445a44a6f1b9363d">SCLIB_StartTransmission</a></div><div class="ttdeci">int32_t SCLIB_StartTransmission(uint32_t num, uint8_t *cmdBuf, uint32_t cmdLen, uint8_t *rspBuf, uint32_t *rspLen)</div><div class="ttdoc">Start a smartcard transmission.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadc614ae52055d0af1ecbd9416976c276"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc614ae52055d0af1ecbd9416976c276">SCLIB_CheckTxRxEvent</a></div><div class="ttdeci">uint32_t SCLIB_CheckTxRxEvent(uint32_t num)</div><div class="ttdoc">Process card transmission event in IRQ handler.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadd3bacc5128a7ce612a6781f7f44d49c"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd3bacc5128a7ce612a6781f7f44d49c">SCLIB_WarmReset</a></div><div class="ttdeci">int32_t SCLIB_WarmReset(uint32_t num)</div><div class="ttdoc">Warm reset a smartcard.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae308ef6ac6809fd3cf8535f617ba280c"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae308ef6ac6809fd3cf8535f617ba280c">SCLIB_ColdReset</a></div><div class="ttdeci">int32_t SCLIB_ColdReset(uint32_t num)</div><div class="ttdoc">Cold reset a smartcard.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae888a7b4d9e7d8b69d75d34e283453db"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae888a7b4d9e7d8b69d75d34e283453db">SCLIB_CARD_INFO_T::ATR_Len</a></div><div class="ttdeci">uint32_t ATR_Len</div><div class="ttdoc">ATR length, between SCLIB_MAX_ATR_LEN and SCLIB_MIN_ATR_LEN.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/de4/sclib_8h_source.html#l00095">sclib.h:95</a></div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf833db82065ae92a02d10cd51eeac446"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf833db82065ae92a02d10cd51eeac446">SCLIB_CheckTimeOutEvent</a></div><div class="ttdeci">uint32_t SCLIB_CheckTimeOutEvent(uint32_t num)</div><div class="ttdoc">Process time out event in IRQ handler.</div></div>
<div class="ttc" id="agroup___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf94add8ada1485e9cedbf027acebfa00"><div class="ttname"><a href="../../d3/d0c/group___n_a_n_o100___s_c_l_i_b___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf94add8ada1485e9cedbf027acebfa00">__attribute__</a></div><div class="ttdeci">__attribute__((weak)) void SCLIB_RequestTimeExtension(uint32_t u32Protocol)</div><div class="ttdoc">A callback called by library while smartcard request for a time extension.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dae/__syscalls_8c_source.html#l00035">_syscalls.c:35</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaa7f3f1bc4269ed63239302e94d200611"><div class="ttname"><a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">SCLIB_MAX_ATR_LEN</a></div><div class="ttdeci">#define SCLIB_MAX_ATR_LEN</div><div class="ttdoc">Max ATR length. ISO-7816 8.2.1.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/de4/sclib_8h_source.html#l00035">sclib.h:35</a></div></div>
<div class="ttc" id="astruct_s_c_l_i_b___c_a_r_d___i_n_f_o___t_html"><div class="ttname"><a href="../../dc/d00/struct_s_c_l_i_b___c_a_r_d___i_n_f_o___t.html">SCLIB_CARD_INFO_T</a></div><div class="ttdoc">A structure holds smartcard information.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/de4/sclib_8h_source.html#l00093">sclib.h:93</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
